#
# spec file for package nvi (Version 1.79)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake gpp libgpp termcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit termcap texinfo textutils timezone unzip util-linux vim

Name:         nvi
Copyright:    1999 - not specified
Group:        Applications/Editors
Provides:     normal-nvi vi_clone
Conflicts:    nvi-m17n
Autoreqprov:  on
Version:      1.79
Release:      387
Summary:      A 'vi' clone
Source:       http://www.bostic.com/vi/packages/nvi-1.79.tar.bz2
Patch0:       nvi-1.79.dif
Patch1:       nvi-1.79-make-install.dif
URL:          http://www.bostic.com/vi/
BuildRoot:    /var/tmp/%{name}-root

%description
A freely redistributable replacement for the
Berkeley ex and vi text editors.

Authors:
--------
    Keith Bostic <bostic@cs.berkeley.edu>

SuSE series: ap

%prep
%setup 
%patch
%patch1 -p1

%build
cd build
%{?suse_update_config -f}
OPTS="--prefix=%{_prefix} \
      --mandir=%{_mandir} \
      --program-prefix=n \      
      --disable-db \
"
if [ -f /usr/lib/libdb1.so ]; then
# for glibc-2.1 use db1
    LIBS='-L /usr/lib/termcap -ltermcap -ldb1' \
    CPPFLAGS="$RPM_OPT_FLAGS -I/usr/include/db1 -I /usr/include/termcap" \
    sh configure ${OPTS}
else
    LIBS='-L /usr/lib/termcap -ltermcap -ldb' \
    CPPFLAGS="$RPM_OPT_FLAGS -I /usr/include/termcap" \
    sh configure ${OPTS}
fi
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/vi/perl
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/vi/tcl
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/vi/catalog
pushd build
    make prefix="${RPM_BUILD_ROOT}%{_prefix}" mandir=${RPM_BUILD_ROOT}%{_mandir} install
popd
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/sbin
install build/recover ${RPM_BUILD_ROOT}%{_prefix}/sbin/recover.nvi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc FAQ LAYOUT LICENSE README docs
%doc --parents build/README* catalog/README cl/README.signal db/README
%doc --parents ip/IP_INSTRUCTIONS regex/{COPYRIGHT,WHATSNEW}
%{_prefix}/bin/n*
%doc %{_mandir}/man1/*.1.*
%{_prefix}/share/vi
%{_prefix}/sbin/recover.nvi

%changelog -n nvi
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Jan 15 2001 - mfabian@suse.de
- "Provides: nvi vi_clone" -> "Provides: normal-nvi vi_clone"
- added "Conflicts: nvi-m17n"
- extended %%file list to include documentation, language catalogs
  and some other missing files
* Mon Feb 28 2000 - schwab@suse.de
- Cleanup specfile, get rid of Makefile.Linux
- Add group tag
- Update config.{guess,sub}
- /usr/man -> /usr/share/man
* Thu Sep 16 1999 - ro@suse.de
- added "Provides vi_clone"
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - ro@suse.de
- use db1 if glibc-2.1 is detected
* Tue Nov 10 1998 - ro@suse.de
- config.sub: add i686 as machinetype
- disabled -ldb1 in spec (glibc-2.1 only)
* Tue Nov 10 1998 - ro@suse.de
- added libgpp to neededforbuild
* Tue Sep 29 1998 - ro@suse.de
- link against libdb1 for glibc
* Mon Oct 27 1997 - ro@suse.de
- ready for autobuild
  added termcap as neededforbuild
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.79
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 1.78.
* Thu Jan 02 1997 - florian@suse.de
  new version 1.71
